Subject: Main Menu bar misalignment.

From: "Don Allaire" <[email-masked]>
Date: Tue, 20 Jan 1998 18:08:56 -0600

Hello:

This is again for the archives.

Question:

I am having a problem with the main menu highlighter bar displaying
incorrectly with all versions of wyse50 emulating terminals, and emulation
software.  The menu bar is wrapping the screen, therefore when one arrows up
or down, the menu bar gets very unreadable or disappears.

Answer:

While scanning through various termcap databases on Wyse50 terminals, I
found this helpful piece of info.  Apparently, wyse30 and wyse50 terminals
have an inherent standout mode glitch which occasionally cause problems like
the ones I experienced with the menu bar in Pine's main menu.

These terminals support a "PROTECT" sequence on/off that has no
 standout-glitch (xmc), while the regular "attribute" stuff enabled
 with <ESC>G'some-character' gives a 1-space glitch.

 All but the very old revision firmware on both terminals support a
 visible PROTECT attribute that's selectable by the ol' SETUP menu.
 (The older rev. terminals do support PROTECT attribute but only
  have the options REGULAR and DIM)

 Get into your terminal's SETUP menu, and down-key to the 5'th
 menu (on a wyse 30; I think 3'rd or 4'th on a wyse 50) and
 right-key over to the PROTECT item.
 Change PROTECT to REVERSE or REVERSE/DIM, and go over to the next
 item -- ATTRIBUTE and change it to LINE;  then save the changes.

The next thing that you will need to do is change your termcap database so
that it uses the proper escape sequences to turn on/off the protect sequence
rather than the very-ugly \EG4 and \EG0.

You do this by changing standout to \E), standend to \E(, and glitch to 0,
which means
changing the so, se, and sg fields to so=\E) se=\E(  sg#0

I actually didn't have to change my terminals in my circumstance, as the
terminal change had already been made.  However when I made the small change
to the wy50 termcap entry, the menu bar started working like it was supposed
to.

The above information was presented in the termcap database comments, and
written by [email-masked]

I hope that this helps someone else as it did myself.